Debian Bug report logs - #558300
apropos path_resolution give "unknown subject"

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: jidanni@jidanni.org

Date: Fri, 27 Nov 2009 18:18:05 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version manpages/3.23-1

Fixed in version manpages/3.24-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, linux-man@vger.kernel.org, Martin Schulze <joey@debian.org>:
Bug#558300; Package manpages. (Fri, 27 Nov 2009 18:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to linux-man@vger.kernel.org, Martin Schulze <joey@debian.org>. (Fri, 27 Nov 2009 18:18:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: apropos path_resolution give "unknown subject"
Date: Sat, 28 Nov 2009 01:55:34 +0800
Package: manpages
Version: 3.23-1
Severity: wishlist
File: /usr/share/man/man7/path_resolution.7.gz
X-debbugs-cc: linux-man@vger.kernel.org

$ apropos path_resolution
path_resolution (2)  - (unknown subject)
path_resolution (7)  - (unknown subject)

P.S., perhaps add
SEE ALSO
       readlink(1)




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#558300; Package manpages. (Sat, 05 Dec 2009 07:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 05 Dec 2009 07:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 558300@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: jidanni@jidanni.org, 558300@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#558300: apropos path_resolution give "unknown subject"
Date: Sat, 5 Dec 2009 08:34:56 +0100
tags 558300 fixed-upstream
thanks

On Fri, Nov 27, 2009 at 6:55 PM,  <jidanni@jidanni.org> wrote:
> Package: manpages
> Version: 3.23-1
> Severity: wishlist
> File: /usr/share/man/man7/path_resolution.7.gz
> X-debbugs-cc: linux-man@vger.kernel.org
>
> $ apropos path_resolution
> path_resolution (2)  - (unknown subject)
> path_resolution (7)  - (unknown subject)

In fact this problem afflicted a small handful of pages in man-pages.
It seems that apropos/catman/mandb didn't like the construction of the
piece before the "\-" in the NAME line of the man page. I've applied
this fix:

=====
--- a/man7/path_resolution.7
+++ b/man7/path_resolution.7
@@ -22,7 +22,7 @@
 .\"
 .TH PATH_RESOLUTION 7 2009-12-05 "Linux" "Linux Programmer's Manual"
 .SH NAME
-Unix/Linux path resolution \- find the file referred to by a filename
+path_resolution \- how a pathname is resolved to a file
 .SH DESCRIPTION
 Some Unix/Linux system calls have as parameter one or more filenames.
 A filename (or pathname) is resolved as follows.
=====

And fixed 3 or 4 other pages similarly. The fixes will be in man-pages-2.34.

> P.S., perhaps add
> SEE ALSO
>       readlink(1)

Done.

Thanks for the report!

Cheers,

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface" http://blog.man7.org/




Added tag(s) fixed-upstream. Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Sat, 05 Dec 2009 07:36:06 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Tue, 02 Mar 2010 21:48:14 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Tue, 02 Mar 2010 21:48:14 GMT) Full text and rfc822 format available.

Message #17 received at 558300-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 558300-close@bugs.debian.org
Subject: Bug#558300: fixed in manpages 3.24-1
Date: Tue, 02 Mar 2010 21:42:12 +0000
Source: manpages
Source-Version: 3.24-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.24-1_all.deb
  to main/m/manpages/manpages-dev_3.24-1_all.deb
manpages_3.24-1.diff.gz
  to main/m/manpages/manpages_3.24-1.diff.gz
manpages_3.24-1.dsc
  to main/m/manpages/manpages_3.24-1.dsc
manpages_3.24-1_all.deb
  to main/m/manpages/manpages_3.24-1_all.deb
manpages_3.24.orig.tar.gz
  to main/m/manpages/manpages_3.24.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558300@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Mar 2010 21:49:58 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.24-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 554819 558300 569812
Changes: 
 manpages (3.24-1) unstable; urgency=low
 .
   * New upstream version
     . Remove crufty statement in setuid(2) that seteuid() is not in POSIX
       (closes: Bug#569812)
     . Fix description of 'nochdir' argument in daemon(3) (closes: Bug#554819)
     . Fix NAME line in path_resolution(7) (closes: Bug#558300)
Checksums-Sha1: 
 39904fa3b50c4b5d3a293857685701de484cc49a 965 manpages_3.24-1.dsc
 f2c6a5de843cea26e2542b7dd93b9adbc1bd7584 1608365 manpages_3.24.orig.tar.gz
 20b8826992c1d8e48cef5da3c1b2f6a9f4777310 48636 manpages_3.24-1.diff.gz
 927d63358c3c271316984e47d8d6fd3573f7c639 722592 manpages_3.24-1_all.deb
 72013ccad6aefc3eb79000855c20ef8856fa1c51 1569148 manpages-dev_3.24-1_all.deb
Checksums-Sha256: 
 6088b723fdb908e343efcbc129f017b2f85f3e7a9115135ad1710d5b3b05b9e6 965 manpages_3.24-1.dsc
 2698756341f833279b7391c506dca0e73d9409c6e082e329b3d746aa31888b68 1608365 manpages_3.24.orig.tar.gz
 6c29db07de782b7e3637edac1b745bf5be1c2f023a95751ba9beba9ae15a8765 48636 manpages_3.24-1.diff.gz
 316a4b7522e2a9a8e792dcc2d15435d94178d2cb9484bf93329c99a14c383367 722592 manpages_3.24-1_all.deb
 fd91851e3e239e6621b7d1f682e027c699c061415ea364c81f94b1557394b720 1569148 manpages-dev_3.24-1_all.deb
Files: 
 7b45a02c5d7c46a7707425f445af8551 965 doc important manpages_3.24-1.dsc
 083fc666f1f1143157901e96c9810539 1608365 doc important manpages_3.24.orig.tar.gz
 4b3dc9fa4abe30ad4aae6a1dc9b0d40e 48636 doc important manpages_3.24-1.diff.gz
 628d79cebb1da361237220d095e261d3 722592 doc important manpages_3.24-1_all.deb
 50c29169c064ab64307338825e15994d 1569148 doc optional manpages-dev_3.24-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLjX0GW5ql+IAeqTIRAqUtAJ9DcPMPr4W10zkKBwYehFgi5Ke05wCgrRwl
YquRUTdnb2S52owFRKmrJMs=
=5ZGK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Apr 2010 07:28:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:36:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.